Skip to main content
GET
Query a transaction

Headers

x-api-key
string
required

API authentication key

Example:

"your-x-api-key"

x-api-token
string
required

API authentication token

Example:

"your-x-api-token"

Path Parameters

transactionUUID
string
required

Unique transaction identifier (UUID)

Response

Success response

status
enum<number>

Response status code.

Available options:
0,
-1,
999
Example:

0

message
string

Response status message.

Example:

"success"

id
number

Internal transaction ID.

Example:

2404

uuid
string

Transaction UUID.

Example:

"00000000-0000-0000-0000-000000000000"

type
string

Transaction type.

Example:

"SALE"

situation
enum<string>

Transaction situation.

Available options:
PENDING,
CANCELLED,
PAID
Example:

"CANCELLED"

currency
string

ISO‑4217 currency code.

Example:

"BRL"

amount
number

Order amount.

Example:

0.99

shipping
number

Shipping costs.

Example:

0

discounts
number

Discounts applied.

Example:

0

total
number

(amount + shipping) − discounts.

Example:

0.99

appliedRate
number

PayMee service fee.

Example:

0.1

referenceCode
string

Merchant's unique sale identification.

Example:

"0199201120510"

creation
string

Creation date and time (yyyy-MM-dd HH:mm:ss).

Example:

"2018-07-03 23:51:18"

maxAge
string

Order max age (yyyy-MM-dd HH:mm:ss).

Example:

"2018-07-04 01:00:18"

shopper
object
beneficiary
object
refunds
object
serviceFee
number

Service fee applied to payouts.

Example:

1.25

has_return_error
boolean

Indicates if a return error is present.

Example:

false

return_error
object
track
object